<section>
  <h1 class="main-header">Aktuelle Meldungen</h1>
  <div class="element-wrapper">
    <div class="article">
      <h2>Baustellen</h2>

      <div class="content">
        <span>Für mehr Informationen, bitte ausklappen</span>

        <details *ngFor="let side of sides">
          <summary>
            <span *ngFor="let line of side?.lines" [ngStyle]="{'background-color': line.color}">{{line.name}}</span>
            {{side.startTime?.toLocaleDateString()}} - {{side.endTime?.toLocaleDateString()}};
            {{side.type}}
          </summary>
          <p [innerHTML]="side.description"></p>
          <a *ngIf="side.article" [href]="side.article" target="_blank" class="button">Mehr lesen</a>
        </details>
      </div>
    </div>

    <div class="article" *ngFor="let warning of getWarnings()">
      <h2>{{warning.title}}</h2>
      <div class="content">
        <p>{{warning.summary}}</p>
        <a routerLink="/nachrichten/{{warning.id}}">Mehr lesen</a>
      </div>
    </div>
  </div>
</section>

<div class="divider"></div>

<section>
  <h1 class="main-header">Nachrichten</h1>
  <span>Ein Artikelverzeichnis finden sie <a routerLink="/nachrichten/archiv">hier</a></span>

  <h2>Aktuelle Artikel</h2>
  <div class="element-wrapper">
    <app-article-preview *ngFor="let article of getRecentArticles()" [article]="article" class="article" />
  </div>

  <h2>Weitere Nachrichten</h2>
  <div class="element-wrapper">
    <app-article-preview *ngFor="let article of getMoreArticles()" [article]="article" class="article" />
  </div>
</section>
